Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers.java
Class RPCInvocation

    java.lang.Object
      org.apache.axis.providers.java.RPCInvocation

public class RPCInvocation
extends Object

Implement message processing by walking over RPCElements of the envelope body, invoking the appropriate methods on the service object.

Author:
  Doug Davis (dug@us.ibm.com)

Constructor Summary
`RPCInvocation(RPCInvocation invocation)` Copy constructor
`RPCInvocation(RPCProvider rpcProvider, MessageContext messageContext, SOAPEnvelopeAxisImpl reqEnv, SOAPEnvelopeAxisImpl resEnv, Object targetObject)`

Method Summary
`Object[]` | `getArgValues()`
`RPCElement` | `getBody()`
`MessageContext` | `getMessageContext()`
`OperationDesc` | `getOperation()`
`OperationDesc` | `getOperation(ServiceDesc serviceDesc, javax.xml.namespace.QName qname)`
`List` | `getOutParams()`
`RPCProvider` | `getProvider()`
`SOAPEnvelopeAxisImpl` | `getRequestEnvelope()`
`SOAPEnvelopeAxisImpl` | `getResponseEnvelope()`
`Object` | `getTargetObject()`
`void` | `prepareFromRequestEnvelope()` Prepare the invocation object from the given prameters
`void` | `prepareResponseEnvelope(Object resObject)` Prepare the response envelope from the given parameters
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RPCInvocation

    public RPCInvocation(RPCProvider rpcProvider,
                         MessageContext messageContext,
                         SOAPEnvelopeAxisImpl reqEnv,
                         SOAPEnvelopeAxisImpl resEnv,
                         Object targetObject)

### RPCInvocation

    public RPCInvocation(RPCInvocation invocation)

  Copy constructor

Method Detail

### getProvider

    public RPCProvider getProvider()

### prepareFromRequestEnvelope

    public void prepareFromRequestEnvelope()

  Prepare the invocation object from the given prameters

### getOperation

    public OperationDesc getOperation(ServiceDesc serviceDesc,
                                      javax.xml.namespace.QName qname)

### prepareResponseEnvelope

    public void prepareResponseEnvelope(Object resObject)

  Prepare the response envelope from the given parameters

### getArgValues

    public Object[] getArgValues()

### getBody

    public RPCElement getBody()

### getMessageContext

    public MessageContext getMessageContext()

### getOperation

    public OperationDesc getOperation()

### getOutParams

    public List getOutParams()

### getRequestEnvelope

    public SOAPEnvelopeAxisImpl getRequestEnvelope()

### getResponseEnvelope

    public SOAPEnvelopeAxisImpl getResponseEnvelope()

### getTargetObject

    public Object getTargetObject()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.